//
// ETSI (European Telecommunications Standards Institute, referred to as ETSI)
// ARF - ETSI ISG Augmented Reality Framework (ISG ARF)
// (C) 2022
//
// Development "World Storage", data management, authoring tools
//
// Authors:
// - Sylvain Renault (Fraunhofer HHI)
// 
// Date: Feb. 2022
//

#define USING_OPENAPI_GENERATOR // alt. is Swagger

using System.IO;
using System.Collections.Generic;
using UnityEngine;

#if USING_OPENAPI_GENERATOR
using Org.OpenAPITools.Api;
using Org.OpenAPITools.Model;
#else
using IO.Swagger.Api;
using IO.Swagger.Model;
#endif

#if UNITY_EDITOR
namespace ETSI.ARF.WorldStorage.RESTful
{
    public class RESTfulAdminRequest
    {
        #region ##### World Storage Requests #####
        static public string GetAdminInfo(WorldStorageSettings ws)
        {
            string uri = ws.basePath + ":" + ws.port.ToString();

            Debug.Log("Get Server Info");
            DefaultApi api = new DefaultApi(uri);
            Debug.Log("Created Default API");

            string vers = api.GetVersion();
            Debug.Log("Using API Version " + vers);

            return vers;
        }

        static public string Ping (WorldStorageSettings ws)
        {
            string uri = ws.basePath + ":" + ws.port.ToString();

            Debug.Log("Get Server Info");
            DefaultApi api = new DefaultApi(uri);
            Debug.Log("Created Default API");

            api.PingGet();
            return "Pong"; // ?
        }
        #endregion
    }
}
#endif