//
// ETSI (European Telecommunications Standards Institute, referred to as ETSI)
// ARF - ETSI ISG Augmented Reality Framework (ISG ARF)
// (C) 2022
//
// Development "World Storage", data management, authoring tools
//
// Authors:
// - Sylvain Renault (Fraunhofer HHI)
// 
// Date: April 2022
//

using System.Collections;
using System.Collections.Generic;
using UnityEngine;
using ETSI.ARF.WorldStorage;

public class WorldStorageServer : MonoBehaviour
{
    public WorldStorageSettings worldStorageServer;

    // Start is called before the first frame update
    void Start()
    {
        
    }

    // Update is called once per frame
    void Update()
    {
        
    }

    public string GetAPIVersion()
    {
        if (worldStorageServer == null) return "No Server Defined!";

        return ETSI.ARF.WorldStorage.RESTful.RESTfulAdminRequest.GetAdminInfo(worldStorageServer);
    }
}
